CREATE TABLE exm_spend_auth_dists (
    SPEND_AUTH_DIST_ID           NUMBER(18, 0),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    SPEND_AUTHORIZATION_ID       NUMBER(18, 0),
    SPEND_AUTH_LINE_ID           NUMBER(18, 0)    NOT NULL,
    CODE_COMBINATION_ID          NUMBER(18, 0),
    AUTHORIZED_AMOUNT            NUMBER       ,
    COST_CENTER                  VARCHAR2(100),
    COMPANY                      VARCHAR2(100),
    ORG_ID                       NUMBER(18, 0)    NOT NULL,
    FUNDS_STATUS_CODE            VARCHAR2(120),
    PJC_CONTEXT_CATEGORY         VARCHAR2(160),
    PJC_PROJECT_ID               NUMBER(18, 0),
    PJC_TASK_ID                  NUMBER(18, 0),
    PJC_EXPENDITURE_TYPE_ID      NUMBER(18, 0),
    PJC_EXPENDITURE_ITEM_DATE    DATE         ,
    PJC_ORGANIZATION_ID          NUMBER(18, 0),
    PJC_BILLABLE_FLAG            VARCHAR2(4)  ,
    PJC_CAPITALIZABLE_FLAG       VARCHAR2(4)  ,
    PJC_WORK_TYPE_ID             NUMBER(18, 0),
    PJC_CONTRACT_ID              NUMBER(18, 0),
    PJC_CONTRACT_LINE_ID         NUMBER(18, 0),
    PJC_FUNDING_ALLOCATION_ID    NUMBER(18, 0),
    PJC_RESERVED_ATTRIBUTE1      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE2      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE3      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE4      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE5      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE6      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE7      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE8      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE9      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE10     VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE1      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE2      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE3      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE4      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE5      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE6      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE7      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE8      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE9      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE10     VARCHAR2(600),
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    SPEND_AUTH_DIST_ID           NUMBER(18, 0),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    SPEND_AUTHORIZATION_ID       NUMBER(18, 0),
    SPEND_AUTH_LINE_ID           NUMBER(18, 0)    NOT NULL,
    CODE_COMBINATION_ID          NUMBER(18, 0),
    AUTHORIZED_AMOUNT            NUMBER       ,
    COST_CENTER                  VARCHAR2(100),
    COMPANY                      VARCHAR2(100),
    ORG_ID                       NUMBER(18, 0)    NOT NULL,
    PJC_CONTEXT_CATEGORY         VARCHAR2(160),
    PJC_PROJECT_ID               NUMBER(18, 0),
    PJC_TASK_ID                  NUMBER(18, 0),
    PJC_EXPENDITURE_TYPE_ID      NUMBER(18, 0),
    PJC_EXPENDITURE_ITEM_DATE    DATE         ,
    PJC_ORGANIZATION_ID          NUMBER(18, 0),
    PJC_BILLABLE_FLAG            VARCHAR2(4)  ,
    PJC_CAPITALIZABLE_FLAG       VARCHAR2(4)  ,
    PJC_WORK_TYPE_ID             NUMBER(18, 0),
    PJC_CONTRACT_ID              NUMBER(18, 0),
    PJC_CONTRACT_LINE_ID         NUMBER(18, 0),
    PJC_FUNDING_ALLOCATION_ID    NUMBER(18, 0),
    PJC_RESERVED_ATTRIBUTE1      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE2      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE3      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE4      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE5      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE6      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE7      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE8      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE9      VARCHAR2(600),
    PJC_RESERVED_ATTRIBUTE10     VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE1      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE2      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE3      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE4      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE5      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE6      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE7      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE8      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE9      VARCHAR2(600),
    PJC_USER_DEF_ATTRIBUTE10     VARCHAR2(600),
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    FUNDS_STATUS_CODE            VARCHAR2(120),
    CONSTRAINT pk_exm_spend_auth_dists PRIMARY KEY (SPEND_AUTH_DIST_ID, SPEND_AUTH_DIST_ID)
);
